using BankDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.ViewModels
{
    public class CurrencyPurchaseViewModel : ICurrencyPurchaseModel
    {
        [DisplayName("Количество валюты")]
        public float Amount { get; set; }
        [DisplayName("Дата покупки")]
        public DateTime PurchaseDate { get; set; } = DateTime.Now.Date;
        public int BankOperatorId { get; set; }
        [DisplayName("ФИО оператора")]
        public string BankOperatorName { get; set; }
        public int CurrencyId { get; set; }
        [DisplayName("Название валюты")]
        public string CurrencyName { get; set; }
        [DisplayName("Номер покупки")]
        public int Id { get; set; }
    }
}
